Bug 138873 - kdesu crash after su password
Summary: kdesu crash after su password
Status: RESOLVED FIXED
Alias: None
Product: kdesu
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdesu bugs tracker
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-16 12:04 UTC by maini10
Modified: 2008-06-18 23:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description maini10 2006-12-16 12:04:56 UTC
Version:            (using KDE KDE 3.5.5)
Installed from:    Ubuntu Packages
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.17-10-generic

Trying to open guarddog in kde 3.5.5 (kubuntu distributions) kdesu requires root password. Next, when password is given, the application crash.
Here's a backtrace:
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1231669056 (LWP 6261)]
[KCrash handler]
#6  0xa967fd11 in ?? ()
#7  0xbfa854bd in ?? ()
#8  0xb72c6ce4 in QCList::reference () from /usr/lib/libqt-mt.so.3
Comment 1 Bram Schoenmakers 2006-12-16 12:10:56 UTC
There's not much we can do. Please install the kdelibs-dbg and kdebase-dbg packages and mention which application you're starting.

If we don't get this information we have to close this bug.
Comment 2 maini10 2006-12-16 13:21:10 UTC
I'm starting guarddog, the firewall configuration utility. Sorry, but I can't submit other information. I have followed your advice and installed those packages for the next time
Comment 3 Lubos Lunak 2007-01-17 14:35:13 UTC
SVN commit 624617 by lunakl:

Don't access invalid array element. Most likely the reason for #138873.
BUG: 138873



 M  +1 -0      kdesud.cpp  


--- branches/KDE/3.5/kdebase/kdesu/kdesud/kdesud.cpp #624616:624617
@@ -377,6 +377,7 @@
                 XEvent event_return;
                 if (x11Display)
                     XNextEvent(x11Display, &event_return);
+                continue;
             }
 
             if (i == sockfd)